Opened 3 years ago

Closed 3 years ago

#13358 closed defect (invalid)

Firefox langpacks fail to download for TBB

Reported by: kpdyer Owned by: tbb-team
Priority: Medium Milestone:
Component: Applications/Tor Browser Version:
Severity: Keywords:
Cc: mikeperry, gk Actual Points:
Parent ID: Points:
Reviewer: Sponsor:


In gitian/ there's a for loop:

   cd linux-langpacks
   wget -U "" -N "${FIREFOX_LANG_VER}-candidates/${FIREFOX_LANG_BUILD}/linux-i686/xpi/$i.xpi"

However, in gitian/versions FIREFOX_LANG_VERSION is set to 24.6.0esr, and the firefox folks have moved 24.6.0.esr from


So, when trying to build the tor-browser-bundle, I get:

--2014-10-07 11:38:12--
Resolving (,
Connecting to (||:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2014-10-07 11:38:12 ERROR 404: Not Found.

Child Tickets

Change History (4)

comment:1 Changed 3 years ago by kpdyer

Component: - Select a componentTor Browser
Owner: set to tbb-team

comment:2 Changed 3 years ago by kpdyer

Looks like changing the URL in is an insufficient solution. They change the directory structure of the files when they're moved to the archived folder.

comment:3 Changed 3 years ago by gk

What is your use case for retrieving such old language packs? The stable releases are done using the maint-3.6 branch. master is for the 4.x series and there has not been a stable released yet. Just some alphas and nightlies (but that will change next week).

comment:4 Changed 3 years ago by kpdyer

Resolution: invalid
Status: newclosed

Ooops. I was trying to build from master.

Building from maint-3.6 fixes the issue.

Note: See TracTickets for help on using tickets.